Package org.eclipse.m2m.atl.core.ant

# Class ProjectLogHandler

java.lang.Object
java.util.logging.Handler
org.eclipse.m2m.atl.core.ant.ProjectLogHandler

public class ProjectLogHandler extends Handler
Log handler for ATL messages during build.

## Constructor Summary

Constructors
Constructor
Description
`ProjectLogHandler(org.apache.tools.ant.Project project)`
Cosntructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`publish(LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProjectLogHandler

public ProjectLogHandler(org.apache.tools.ant.Project project)
Cosntructor.

Parameters:
  `project` - the current project

## Method Details

### close

public void close() throws SecurityException

Specified by:
  `close` in class `Handler`
Throws:
  `SecurityException`
See Also:
  - `Handler.close()`

### flush

public void flush()

Specified by:
  `flush` in class `Handler`
See Also:
  - `Handler.flush()`

### publish

public void publish(LogRecord record)

Specified by:
  `publish` in class `Handler`
See Also:
  - `Handler.publish(java.util.logging.LogRecord)`